Find Custom Scrub Rates (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/custom/scrubratetable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"filters": {
"network_offer_id": {
"values": [
100
],
"comparison": "is"
}
},
"sort": {
"field": "time_created",
"direction": "desc"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/scrubratetable"
payload = {
"filters": { "network_offer_id": {
"values": [100],
"comparison": "is"
} },
"sort": {
"field": "time_created",
"direction": "desc"
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {network_offer_id: {values: [100], comparison: 'is'}},
sort: {field: 'time_created', direction: 'desc'}
})
};
fetch('https://api.eflow.team/v1/networks/custom/scrubratetable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/custom/scrubratetable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'network_offer_id' => [
'values' => [
100
],
'comparison' => 'is'
]
],
'sort' => [
'field' => 'time_created',
'direction' => 'desc'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/custom/scrubratetable"
payload := strings.NewReader("{\n \"filters\": {\n \"network_offer_id\": {\n \"values\": [\n 100\n ],\n \"comparison\": \"is\"\n }\n },\n \"sort\": {\n \"field\": \"time_created\",\n \"direction\": \"desc\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/custom/scrubratetable")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"network_offer_id\": {\n \"values\": [\n 100\n ],\n \"comparison\": \"is\"\n }\n },\n \"sort\": {\n \"field\": \"time_created\",\n \"direction\": \"desc\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/custom/scrubratetable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"network_offer_id\": {\n \"values\": [\n 100\n ],\n \"comparison\": \"is\"\n }\n },\n \"sort\": {\n \"field\": \"time_created\",\n \"direction\": \"desc\"\n }\n}"
response = http.request(request)
puts response.read_body{
"custom_scrub_rate_settings": [
{
"network_custom_scrub_rate_setting_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"network_offer_id": 123,
"custom_setting_status": "active",
"name": "<string>",
"scrub_rate_status": "rejected",
"scrub_rate_percentage": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliate": {
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"ruleset": {}
}
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Custom Scrub Rates (Throttle)
Find Custom Scrub Rates (Advanced)
POST
/
networks
/
custom
/
scrubratetable
Find Custom Scrub Rates (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/custom/scrubratetable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"filters": {
"network_offer_id": {
"values": [
100
],
"comparison": "is"
}
},
"sort": {
"field": "time_created",
"direction": "desc"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/scrubratetable"
payload = {
"filters": { "network_offer_id": {
"values": [100],
"comparison": "is"
} },
"sort": {
"field": "time_created",
"direction": "desc"
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {network_offer_id: {values: [100], comparison: 'is'}},
sort: {field: 'time_created', direction: 'desc'}
})
};
fetch('https://api.eflow.team/v1/networks/custom/scrubratetable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/custom/scrubratetable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'network_offer_id' => [
'values' => [
100
],
'comparison' => 'is'
]
],
'sort' => [
'field' => 'time_created',
'direction' => 'desc'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/custom/scrubratetable"
payload := strings.NewReader("{\n \"filters\": {\n \"network_offer_id\": {\n \"values\": [\n 100\n ],\n \"comparison\": \"is\"\n }\n },\n \"sort\": {\n \"field\": \"time_created\",\n \"direction\": \"desc\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/custom/scrubratetable")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"network_offer_id\": {\n \"values\": [\n 100\n ],\n \"comparison\": \"is\"\n }\n },\n \"sort\": {\n \"field\": \"time_created\",\n \"direction\": \"desc\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/custom/scrubratetable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"network_offer_id\": {\n \"values\": [\n 100\n ],\n \"comparison\": \"is\"\n }\n },\n \"sort\": {\n \"field\": \"time_created\",\n \"direction\": \"desc\"\n }\n}"
response = http.request(request)
puts response.read_body{
"custom_scrub_rate_settings": [
{
"network_custom_scrub_rate_setting_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"network_offer_id": 123,
"custom_setting_status": "active",
"name": "<string>",
"scrub_rate_status": "rejected",
"scrub_rate_percentage": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliate": {
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"ruleset": {}
}
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Retrieve a paginated list of custom scrub rate (throttle) settings. Supports search filters, sorting, and pagination to help you find and browse scrub rate configurations programmatically. Note that this endpoint does not return every detail of each setting. For example, it will not return the specific variables associated with a setting. To get those, use the Get by ID endpoint.
Authorizations
Query Parameters
Body
application/json
Was this page helpful?
